Next: HYPOT, Previous: HOSTNM, Up: Intrinsic Procedures

### 8.110 `HUGE` — Largest number of a kind

Description:
  `HUGE(X)` returns the largest number that is not an infinity in the model of the type of `X`.
Standard:
  Fortran 95 and later
Class:
  Inquiry function
Syntax:
  `RESULT = HUGE(X)`
Arguments:

  X | Shall be of type `REAL` or `INTEGER`.

Return value:
  The return value is of the same type and kind as X
Example:

                program test_huge_tiny
                  print *, huge(0), huge(0.0), huge(0.0d0)
                  print *, tiny(0.0), tiny(0.0d0)
                end program test_huge_tiny